import request from '@/utils/request'

// 查询支付订单列表
export function listPay(query) {
  return request({
    url: '/bst/pay/list',
    method: 'get',
    params: query
  })
}

// 查询支付订单详细
export function getPay(id) {
  return request({
    url: '/bst/pay/' + id,
    method: 'get'
  })
}

// 新增支付订单
export function addPay(data) {
  return request({
    url: '/bst/pay',
    method: 'post',
    data: data
  })
}

// 修改支付订单
export function updatePay(data) {
  return request({
    url: '/bst/pay',
    method: 'put',
    data: data
  })
}

// 删除支付订单
export function delPay(id) {
  return request({
    url: '/bst/pay/' + id,
    method: 'delete'
  })
}
